Bug 1130056 - RFE: Host installation will not timeout/abort ever when there are problems with repo/subscription manager
Summary: RFE: Host installation will not timeout/abort ever when there are problems w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 09:01 UTC by Ofer Blaut
Modified: 2015-04-29 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:49:18 UTC


Attachments (Terms of Use)
Controller repo issue (4.69 KB, text/plain)
2014-08-14 09:01 UTC, Ofer Blaut
no flags Details

Description Ofer Blaut 2014-08-14 09:01:29 UTC
Created attachment 926707 [details]
Controller  repo issue

Description of problem:

I encounter a problem of repo configuration issue. ( see log)

yum update could not install packages ( including puppet ones)

The rhel-osp-installer was stuck on 60% and Gui shows "WaitUntilHostReady"


Action:
Actions::Staypuft::Host::WaitUntilHostReady
Input:
{"host_id"=>5, "current_user_id"=>1}
Output:
{"status"=>false, "poll_attempts"=>{"total"=>742, "failed"=>0}}

We must report theses problems of repos , and timeout.

currently there is no timeout.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install staypuft and use wrong repo or subscription manager
we might give wrong user/password /  repo links or names
2.check the status of the deployment 
3.

Actual results:

installation doesn't timeout 

Expected results:

Bad REPOs / subscription manager issues must be reported , and installation should be aborted 
Additional info:

Comment 3 Mike Burns 2014-08-14 11:34:04 UTC
Some thoughts here:  

1.  there is no hook that I'm aware of to get the status from anaconda, so the only thing we can do is set a timeout for the *entire* provisioning step which is very difficult to do.  Depending on the environment, provisioning can take a long time.  

2.  Perhaps we could alter the kickstart so that it launches the install in vnc and provide a link to see the vnc (this might not even work, but it's possible)

Petr,

any thoughts here?

Comment 4 Arthur Berezin 2014-09-09 16:28:32 UTC
I think first step here would be to validate rhn account details when the user inputs the detail on the installer.

Comment 6 Petr Chalupa 2014-10-08 14:22:26 UTC
a) I think at least some timeout would help, see https://bugzilla.redhat.com/show_bug.cgi?id=1110528
b) Would be nice. Possibly monitor that there is new output and timeout if not.


Note You need to log in before you can comment on or make changes to this bug.